cutlass::gemm::kernel::detail::GemvBatchedStridedEpilogueScaling< ElementAlphaBeta, BetaIsZero > Struct Template Reference

`#include <gemv_batched_strided.h>`

## Public Member Functions

CUTLASS_DEVICE | GemvBatchedStridedEpilogueScaling (ElementAlphaBeta &alpha_, ElementAlphaBeta &beta_)
template<typename FragmentCD , typename FragmentAccumulator >
CUTLASS_DEVICE void | operator() (FragmentAccumulator &accumulators, FragmentCD const &fragment_C, FragmentCD &fragment_D) const

## Public Attributes

ElementAlphaBeta const & | alpha
ElementAlphaBeta const & | beta

## Constructor & Destructor Documentation

template<typename ElementAlphaBeta , bool BetaIsZero>

CUTLASS_DEVICE cutlass::gemm::kernel::detail::GemvBatchedStridedEpilogueScaling< ElementAlphaBeta, BetaIsZero >::GemvBatchedStridedEpilogueScaling | ( | ElementAlphaBeta & | alpha_,
|  | ElementAlphaBeta & | beta_
| ) |  |

inline

## Member Function Documentation

template<typename ElementAlphaBeta , bool BetaIsZero>
template<typename FragmentCD , typename FragmentAccumulator >

CUTLASS_DEVICE void cutlass::gemm::kernel::detail::GemvBatchedStridedEpilogueScaling< ElementAlphaBeta, BetaIsZero >::operator() | ( | FragmentAccumulator & | accumulators,
|  | FragmentCD const & | fragment_C,
|  | FragmentCD & | fragment_D
| ) |  | const

inline

## Member Data Documentation

template<typename ElementAlphaBeta , bool BetaIsZero>

ElementAlphaBeta const& cutlass::gemm::kernel::detail::GemvBatchedStridedEpilogueScaling< ElementAlphaBeta, BetaIsZero >::alpha

template<typename ElementAlphaBeta , bool BetaIsZero>

ElementAlphaBeta const& cutlass::gemm::kernel::detail::GemvBatchedStridedEpilogueScaling< ElementAlphaBeta, BetaIsZero >::beta

The documentation for this struct was generated from the following file:

- gemv_batched_strided.h